ブラウザの互換性

  • リビジョンの URL スラッグ: persona/Browser_compatibility
  • リビジョンのタイトル: ブラウザの互換性
  • リビジョンの ID: 314133
  • 作成日:
  • 作成者: Marsf
  • 現行リビジョン いいえ
  • コメント

このリビジョンの内容

サポートされたブラウザ

Persona は、以下のブラウザで開発、テスト、サポートされています。Persona のクロスプラットフォームの JavaScript ライブラリのおかげで、ユーザは Persona を使うためにアドオンをインストールする必要はありません。

デスクトップブラウザ
Internet Explorer 8.0*, 9.0
Firefox 現在の安定版、Beta、Aurora、Nightly、ESR
以前の安定リリース版
Chrome 最新の安定リリース版
Safari 最新の安定リリース版
Opera 最新の安定リリース版
iOS ブラウザ
Mobile Safari iOS 5.x — 6.x
Android ブラウザ
デフォルトブラウザ 2.x — 4.x
Firefox 現在の安定版、Beta、Aurora、Nightly、ESR
以前の安定リリース版
Chrome 最新の安定リリース版

*: Windows XP 向け。 : Windows Vista および Windows 7 向け。 : 時間の許す限り。

サポートされていないブラウザ

  • Internet Explorer バージョン 6.0 および 7.0 はサポートされていません。ユーザはブラウザのアップグレードを求められます。
  • Google Chrome Frame はサポートされておらず機能しません。後でサポートが追加される予定です (Issue #796)。
  • iOS 上のサードパーティ製ブラウザはサポートされておらず機能しません。後でサポートが追加される予定です (Issue #1870, Issue #2034)。

他のブラウザ

サポートされていないブラウザでも、{{ domxref("window.postMessage()") }} と {{ domxref("Storage", "localStorage") }} が実装されていれば動作します。これらの API は 2010 年 3 月以降のすべての主要なブラウザで利用可能です。

既知の問題

  • すべての機能を動作させるには、ブラウザでサードパーティの Cookie を許可する必要があります (Issue #1352)。
  • デフォルトのブラウザを選択していない Android 2.x ユーザはログインできません (Issue #1854)。
  • Internet Explorer 9 で IE8 のエミュレートを強制した場合、サイトへのログインに失敗する可能性があります。

このリビジョンのソースコード

<h2 id="Supported_Browsers">サポートされたブラウザ</h2>
<p>Persona は、以下のブラウザで開発、テスト、サポートされています。Persona のクロスプラットフォームの JavaScript ライブラリのおかげで、ユーザは Persona を使うためにアドオンをインストールする必要はありません。</p>
<table>
  <tbody>
    <tr>
      <th colspan="3" scope="row" style="text-align: center; background-color: #d3d7cf"><strong>デスクトップブラウザ</strong></th>
    </tr>
    <tr>
      <th scope="row"><strong>Internet Explorer</strong></th>
      <td colspan="2" rowspan="1" style="background-color: #8ae234">8.0<sup>*</sup>, 9.0<sup>†</sup></td>
    </tr>
    <tr>
      <th scope="row"><strong>Firefox</strong></th>
      <td colspan="2" style="background-color: #8ae234">現在の安定版、Beta、Aurora、Nightly、ESR<br />
        以前の安定リリース版</td>
    </tr>
    <tr>
      <th scope="row"><strong>Chrome</strong></th>
      <td colspan="2" style="background-color: #8ae234">最新の安定リリース版</td>
    </tr>
    <tr>
      <th scope="row"><strong>Safari</strong></th>
      <td colspan="2" style="background-color: #8ae234">最新の安定リリース版</td>
    </tr>
    <tr>
      <th scope="row"><strong>Opera</strong></th>
      <td colspan="2" style="background-color: #8ae234">最新の安定リリース版<sup>‡</sup></td>
    </tr>
    <tr>
      <th colspan="3" scope="row" style="text-align: center; background-color: #d3d7cf"><strong>iOS ブラウザ</strong></th>
    </tr>
    <tr>
      <th scope="row"><strong>Mobile Safari</strong></th>
      <td colspan="2" rowspan="1" style="background-color: #8ae234">iOS 5.x — 6.x</td>
    </tr>
    <tr>
      <th colspan="3" scope="row" style="text-align: center; background-color: #d3d7cf"><strong>Android ブラウザ</strong></th>
    </tr>
    <tr>
      <th scope="row"><strong>デフォルトブラウザ</strong></th>
      <td colspan="2" rowspan="1" style="background-color: #8ae234">2.x — 4.x</td>
    </tr>
    <tr>
      <th scope="row"><strong>Firefox</strong></th>
      <td colspan="2" style="background-color: #8ae234">現在の安定版、Beta、Aurora、Nightly、ESR<br />
        以前の安定リリース版</td>
    </tr>
    <tr>
      <th scope="row"><strong>Chrome</strong></th>
      <td colspan="2" style="background-color: #8ae234">最新の安定リリース版</td>
    </tr>
  </tbody>
</table>
<p><sup>*</sup>: Windows XP 向け。 <sup>†</sup>: Windows Vista および Windows 7 向け。 <sup>‡</sup>: 時間の許す限り。</p>
<h2 id="Unsupported_Browsers">サポートされていないブラウザ</h2>
<ul>
  <li>Internet Explorer バージョン 6.0 および 7.0 はサポートされていません。ユーザはブラウザのアップグレードを求められます。</li>
  <li>Google Chrome Frame はサポートされておらず機能しません。後でサポートが追加される予定です (<a href="https://github.com/mozilla/browserid/issues/796" title="https://github.com/mozilla/browserid/issues/796">Issue #796</a>)。</li>
  <li>iOS 上のサードパーティ製ブラウザはサポートされておらず機能しません。後でサポートが追加される予定です (<a href="https://github.com/mozilla/browserid/issues/1870" title="https://github.com/mozilla/browserid/issues/1870">Issue #1870</a>, <a href="https://github.com/mozilla/browserid/issues/2034" title="https://github.com/mozilla/browserid/issues/2034">Issue #2034</a>)。</li>
</ul>
<h2 id="Other_Browsers">他のブラウザ</h2>
<p>サポートされていないブラウザでも、{{ domxref("window.postMessage()") }} と {{ domxref("Storage", "localStorage") }} が実装されていれば動作します。これらの API は 2010 年 3 月以降のすべての主要なブラウザで利用可能です。</p>
<h2 id="Known_Issues">既知の問題</h2>
<ul>
  <li>すべての機能を動作させるには、ブラウザでサードパーティの Cookie を許可する必要があります (<a href="https://github.com/mozilla/browserid/issues/1352" title="https://github.com/mozilla/browserid/issues/1352">Issue #1352</a>)。</li>
  <li>デフォルトのブラウザを選択していない Android 2.x ユーザはログインできません (<a href="https://github.com/mozilla/browserid/issues/1854" title="https://github.com/mozilla/browserid/issues/1854">Issue #1854</a>)。</li>
  <li>Internet Explorer 9 で IE8 のエミュレートを強制した場合、サイトへのログインに失敗する可能性があります。</li>
</ul>
Revert to this revision